Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /snpData

indices probe ok

S&P Sri Lanka 20 snapshot.

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/snpData' \
  -H 'Content-Type: application/json' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d '{}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "snpData",
    "url": "https://www.cse.lk/api/snpData",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:32.769753+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "change",
        "highValue",
        "id",
        "lowValue",
        "percentage",
        "sectorId",
        "timestamp",
        "value"
      ]
    }
  },
  "response": {
    "id": 36869863,
    "value": 6004.99,
    "lowValue": 5988.62,
    "highValue": 6035.04,
    "change": 16.37,
    "percentage": 0.27,
    "sectorId": 40.0,
    "timestamp": 1784192417586
  }
}